summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--.circleci/config.yml2
-rwxr-xr-xgoreleaser-hook-post-linux.sh9
-rw-r--r--goreleaser.yml2
3 files changed, 12 insertions, 1 deletions
diff --git a/.circleci/config.yml b/.circleci/config.yml
index 900d973f2..cb153b8a8 100644
--- a/.circleci/config.yml
+++ b/.circleci/config.yml
@@ -1,6 +1,6 @@
defaults: &defaults
docker:
- - image: bepsays/ci-goreleaser:1.16.7
+ - image: bepsays/ci-goreleaser:1.17.2
environment:
CGO_ENABLED: "0"
diff --git a/goreleaser-hook-post-linux.sh b/goreleaser-hook-post-linux.sh
new file mode 100755
index 000000000..e97e274a8
--- /dev/null
+++ b/goreleaser-hook-post-linux.sh
@@ -0,0 +1,9 @@
+#!/bin/bash
+
+# Se https://github.com/gohugoio/hugo/issues/8955
+objdump -T dist/hugo_extended_linux_linux_amd64/hugo | grep -E -q 'GLIBC_2.2[0-9]'
+RESULT=$?
+if [ $RESULT -eq 0 ]; then
+ echo "Found GLIBC_2.2x in Linux binary, this will not work in older Vercel/Netlify images.";
+ exit -1;
+fi
diff --git a/goreleaser.yml b/goreleaser.yml
index 44539ff46..d6aba296b 100644
--- a/goreleaser.yml
+++ b/goreleaser.yml
@@ -84,6 +84,8 @@ builds:
- linux
goarch:
- amd64
+ hooks:
+ post: ./goreleaser-hook-post-linux.sh
release:
draft: true